%define name xpenguins_applet
%define version 1.0
%define release 2mdk

Summary: GNOME panel applet implementation of xpenguins
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch: xpenguins_applet-german-translation.diff.bz2
License: GPL
Group: Toys
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: gnome-core-devel
Requires: gnome-core xpenguins >= 1.9

%description
The xpenguins applet sits in your GNOME panel and when you click the
`play' button, will animates a number of penguins that fall from the
top of the screen, walk along the top of windows, up the side of
windows, up the side of the screen, and sometimes even levitate with
their genetically-modified go-go-gadget 'copter ability. You can
change the speed and number of the penguins from the `Properties'
window. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
%patch

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README INSTALL ChangeLog
%doc %{_datadir}/gnome/help/xpenguins_applet/C/*
%config(noreplace) %{_sysconfdir}/CORBA/servers/xpenguins_applet.gnorba
%{_bindir}/xpenguins_applet
%{_datadir}/applets/Amusements/xpenguins_applet.desktop
%{_datadir}/pixmaps/gnome-xpenguins.png

%changelog
* Tue Sep 11 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.0-2mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- requires xpenguins for the animation data files

* Fri Jun 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.0
	- macros
	- updated file list
	- fixed bad grammar in german translation

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9-0.1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
